sdl2-2.5.5.1: Both high- and low-level bindings to the SDL library (version 2.0.6+).

Safe Haskell | None
Language | Haskell2010

SDL.Internal.Types

Synopsis

- newtype Joystick = Joystick {
  - joystickPtr :: Joystick
  }
- newtype GameController = GameController {
  - gameControllerPtr :: GameController
  }
- newtype Window = Window Window
- newtype Renderer = Renderer Renderer

# Documentation

newtype Joystick Source #

Constructors

Joystick |

Fields

- joystickPtr :: Joystick

#### Instances

Instances details

Data Joystick Source # |

Instance details

Defined in SDL.Internal.Types

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Joystick -> c Joystick Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Joystick Source #

toConstr :: Joystick -> Constr Source #

dataTypeOf :: Joystick -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Joystick) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Joystick) Source #

gmapT :: (forall b. Data b => b -> b) -> Joystick -> Joystick Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Joystick -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Joystick -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Joystick -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Joystick -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Joystick -> m Joystick Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Joystick -> m Joystick Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Joystick -> m Joystick Source #

Generic Joystick Source # |

Instance details

Defined in SDL.Internal.Types

Associated Types

type Rep Joystick |
Instance details Defined in SDL.Internal.Types type Rep Joystick = D1 ('MetaData "Joystick" "SDL.Internal.Types" "sdl2-2.5.5.1-AgF6e4ywebPJjPO67cQCnV" 'True) (C1 ('MetaCons "Joystick" 'PrefixI 'True) (S1 ('MetaSel ('Just "joystickPtr") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Joystick)))

Methods

from :: Joystick -> Rep Joystick x Source #

to :: Rep Joystick x -> Joystick Source #

Show Joystick Source # |
Instance details Defined in SDL.Internal.Types Methods showsPrec :: Int -> Joystick -> ShowS Source # show :: Joystick -> String Source # showList :: [Joystick] -> ShowS Source #
Eq Joystick Source # |
Instance details Defined in SDL.Internal.Types Methods (==) :: Joystick -> Joystick -> Bool Source # (/=) :: Joystick -> Joystick -> Bool Source #
Ord Joystick Source # |
Instance details Defined in SDL.Internal.Types Methods compare :: Joystick -> Joystick -> Ordering Source # (<) :: Joystick -> Joystick -> Bool Source # (<=) :: Joystick -> Joystick -> Bool Source # (>) :: Joystick -> Joystick -> Bool Source # (>=) :: Joystick -> Joystick -> Bool Source # max :: Joystick -> Joystick -> Joystick Source # min :: Joystick -> Joystick -> Joystick Source #
type Rep Joystick Source # |
Instance details Defined in SDL.Internal.Types type Rep Joystick = D1 ('MetaData "Joystick" "SDL.Internal.Types" "sdl2-2.5.5.1-AgF6e4ywebPJjPO67cQCnV" 'True) (C1 ('MetaCons "Joystick" 'PrefixI 'True) (S1 ('MetaSel ('Just "joystickPtr") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Joystick)))

newtype GameController Source #

Constructors

GameController |

Fields

- gameControllerPtr :: GameController

#### Instances

Instances details

Data GameController Source # |

Instance details

Defined in SDL.Internal.Types

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> GameController -> c GameController Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c GameController Source #

toConstr :: GameController -> Constr Source #

dataTypeOf :: GameController -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c GameController) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c GameController) Source #

gmapT :: (forall b. Data b => b -> b) -> GameController -> GameController Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> GameController -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> GameController -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> GameController -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> GameController -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> GameController -> m GameController Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> GameController -> m GameController Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> GameController -> m GameController Source #

Generic GameController Source # |

Instance details

Defined in SDL.Internal.Types

Associated Types

type Rep GameController |
Instance details Defined in SDL.Internal.Types type Rep GameController = D1 ('MetaData "GameController" "SDL.Internal.Types" "sdl2-2.5.5.1-AgF6e4ywebPJjPO67cQCnV" 'True) (C1 ('MetaCons "GameController" 'PrefixI 'True) (S1 ('MetaSel ('Just "gameControllerPtr") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 GameController)))

Methods

from :: GameController -> Rep GameController x Source #

to :: Rep GameController x -> GameController Source #

Show GameController Source # |
Instance details Defined in SDL.Internal.Types Methods showsPrec :: Int -> GameController -> ShowS Source # show :: GameController -> String Source # showList :: [GameController] -> ShowS Source #
Eq GameController Source # |
Instance details Defined in SDL.Internal.Types Methods (==) :: GameController -> GameController -> Bool Source # (/=) :: GameController -> GameController -> Bool Source #
Ord GameController Source # |

Instance details

Defined in SDL.Internal.Types

Methods

compare :: GameController -> GameController -> Ordering Source #

(<) :: GameController -> GameController -> Bool Source #

(<=) :: GameController -> GameController -> Bool Source #

(>) :: GameController -> GameController -> Bool Source #

(>=) :: GameController -> GameController -> Bool Source #

max :: GameController -> GameController -> GameController Source #

min :: GameController -> GameController -> GameController Source #

type Rep GameController Source # |
Instance details Defined in SDL.Internal.Types type Rep GameController = D1 ('MetaData "GameController" "SDL.Internal.Types" "sdl2-2.5.5.1-AgF6e4ywebPJjPO67cQCnV" 'True) (C1 ('MetaCons "GameController" 'PrefixI 'True) (S1 ('MetaSel ('Just "gameControllerPtr") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 GameController)))

newtype Window Source #

Constructors

Window Window |

#### Instances

Instances details

Data Window Source # |

Instance details

Defined in SDL.Internal.Types

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Window -> c Window Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Window Source #

toConstr :: Window -> Constr Source #

dataTypeOf :: Window -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Window) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Window) Source #

gmapT :: (forall b. Data b => b -> b) -> Window -> Window Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Window -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Window -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Window -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Window -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Window -> m Window Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Window -> m Window Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Window -> m Window Source #

Generic Window Source # |

Instance details

Defined in SDL.Internal.Types

Associated Types

type Rep Window |
Instance details Defined in SDL.Internal.Types type Rep Window = D1 ('MetaData "Window" "SDL.Internal.Types" "sdl2-2.5.5.1-AgF6e4ywebPJjPO67cQCnV" 'True) (C1 ('MetaCons "Window" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Window)))

Methods

from :: Window -> Rep Window x Source #

to :: Rep Window x -> Window Source #

Show Window Source # |
Instance details Defined in SDL.Internal.Types Methods showsPrec :: Int -> Window -> ShowS Source # show :: Window -> String Source # showList :: [Window] -> ShowS Source #
Eq Window Source # |
Instance details Defined in SDL.Internal.Types Methods (==) :: Window -> Window -> Bool Source # (/=) :: Window -> Window -> Bool Source #
Ord Window Source # |
Instance details Defined in SDL.Internal.Types Methods compare :: Window -> Window -> Ordering Source # (<) :: Window -> Window -> Bool Source # (<=) :: Window -> Window -> Bool Source # (>) :: Window -> Window -> Bool Source # (>=) :: Window -> Window -> Bool Source # max :: Window -> Window -> Window Source # min :: Window -> Window -> Window Source #
type Rep Window Source # |
Instance details Defined in SDL.Internal.Types type Rep Window = D1 ('MetaData "Window" "SDL.Internal.Types" "sdl2-2.5.5.1-AgF6e4ywebPJjPO67cQCnV" 'True) (C1 ('MetaCons "Window" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Window)))

newtype Renderer Source #

An SDL rendering device. This can be created with `createRenderer`.

Constructors

Renderer Renderer |

#### Instances

Instances details

Data Renderer Source # |

Instance details

Defined in SDL.Internal.Types

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Renderer -> c Renderer Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Renderer Source #

toConstr :: Renderer -> Constr Source #

dataTypeOf :: Renderer -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Renderer) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Renderer) Source #

gmapT :: (forall b. Data b => b -> b) -> Renderer -> Renderer Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Renderer -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Renderer -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Renderer -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Renderer -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Renderer -> m Renderer Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Renderer -> m Renderer Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Renderer -> m Renderer Source #

Generic Renderer Source # |

Instance details

Defined in SDL.Internal.Types

Associated Types

type Rep Renderer |
Instance details Defined in SDL.Internal.Types type Rep Renderer = D1 ('MetaData "Renderer" "SDL.Internal.Types" "sdl2-2.5.5.1-AgF6e4ywebPJjPO67cQCnV" 'True) (C1 ('MetaCons "Renderer" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Renderer)))

Methods

from :: Renderer -> Rep Renderer x Source #

to :: Rep Renderer x -> Renderer Source #

Show Renderer Source # |
Instance details Defined in SDL.Internal.Types Methods showsPrec :: Int -> Renderer -> ShowS Source # show :: Renderer -> String Source # showList :: [Renderer] -> ShowS Source #
Eq Renderer Source # |
Instance details Defined in SDL.Internal.Types Methods (==) :: Renderer -> Renderer -> Bool Source # (/=) :: Renderer -> Renderer -> Bool Source #
Ord Renderer Source # |
Instance details Defined in SDL.Internal.Types Methods compare :: Renderer -> Renderer -> Ordering Source # (<) :: Renderer -> Renderer -> Bool Source # (<=) :: Renderer -> Renderer -> Bool Source # (>) :: Renderer -> Renderer -> Bool Source # (>=) :: Renderer -> Renderer -> Bool Source # max :: Renderer -> Renderer -> Renderer Source # min :: Renderer -> Renderer -> Renderer Source #
type Rep Renderer Source # |
Instance details Defined in SDL.Internal.Types type Rep Renderer = D1 ('MetaData "Renderer" "SDL.Internal.Types" "sdl2-2.5.5.1-AgF6e4ywebPJjPO67cQCnV" 'True) (C1 ('MetaCons "Renderer" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Renderer)))